ParserException (BioJava-1.5-beta API)
Keywords: org.biojava.utils.ParserException class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.utils
Class ParserException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.biojava.utils.ParserException

All Implemented Interfaces:
  Serializable

    public class ParserException

extends Exception

Exception thrown when an error occurs in document parsing. It may optionally include the following fields:

       Locator (file name, URL, etc.)
       Line number (negative for unknown)
       The text of the actual offending line (Null if unknown)
       Character offset (negative for unknown)

Author:
  Matthew Pocock, Greg Cox
See Also:
  Serialized Form

Constructor Summary
`ParserException(String detail)`
`ParserException(String detail, String locator)`
`ParserException(String detail, String locator, int line)`
`ParserException(String detail, String locator, int lineNumber, String line)`
`ParserException(String detail, String locator, int lineNumber, String line, int character)`
`ParserException(String message, Throwable cause)`
`ParserException(Throwable t)`
`ParserException(Throwable t, String detail)` Deprecated. use new ParserException(detail, t)
`ParserException(Throwable t, String detail, String locator)`
`ParserException(Throwable t, String detail, String locator, int line)`
`ParserException(Throwable t, String detail, String locator, int lineNumber, String line)`
`ParserException(Throwable t, String detail, String locator, int lineNumber, String line, int character)`

Method Summary
`int` | `getCharacterOffset()` Get the character offset in the line where an error was detected.
`String` | `getLine()` Get the text of the line where the exception occured.
`int` | `getLineNumber()` Get the line number in the stream where this exception occured.
`String` | `getLocator()` Get a locator for the stream which caused this exception.
`String` | `toString()` Represent this exception as a string.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ParserException

    public ParserException(String detail)

### ParserException

    public ParserException(String detail,
                           String locator)

### ParserException

    public ParserException(String detail,
                           String locator,
                           int line)

### ParserException

    public ParserException(String detail,
                           String locator,
                           int lineNumber,
                           String line)

### ParserException

    public ParserException(String detail,
                           String locator,
                           int lineNumber,
                           String line,
                           int character)

### ParserException

    public ParserException(Throwable t)

### ParserException

    public ParserException(Throwable t,
                           String detail)

  Deprecated. use new ParserException(detail, t)

### ParserException

    public ParserException(String message,
                           Throwable cause)

### ParserException

    public ParserException(Throwable t,
                           String detail,
                           String locator)

### ParserException

    public ParserException(Throwable t,
                           String detail,
                           String locator,
                           int line)

### ParserException

    public ParserException(Throwable t,
                           String detail,
                           String locator,
                           int lineNumber,
                           String line)

### ParserException

    public ParserException(Throwable t,
                           String detail,
                           String locator,
                           int lineNumber,
                           String line,
                           int character)

Method Detail

### getLocator

    public String getLocator()

  Get a locator for the stream which caused this exception.

  Returns:
    A locator string, or `null` if none is known.

### getLineNumber

    public int getLineNumber()

  Get the line number in the stream where this exception occured.

  Returns:
    A positive integer line number, or -1 if not known.

### getCharacterOffset

    public int getCharacterOffset()

  Get the character offset in the line where an error was detected.

  Returns:
    The first character in the line where the parser detected an error, or -1 if the exception effects the whole line.

### getLine

    public String getLine()

  Get the text of the line where the exception occured.

  Returns:
    The text of the line, or `null` if not known.

### toString

    public String toString()

  Represent this exception as a string. This includes the default exception toString representation, followed by details of the location where the error occured, if they were supplied when constructing this exception.

  Overrides:
    `toString` in class `Throwable`
  Returns:
    A string representation of this exception.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD